:root{
    --bg: #030100;
    --white: #ffffff;
    --blue: #0c1472;
    --blue1: #2174c5;
    --blue3: #161857;
    --light-y: #fefbf4;
    --deep-y: #f7df9e;
    --range: #ec8749;
    --202641: #202641;
}
body{
    background-color: #282828;
    letter-spacing: 0em; 
    line-height: auto;
    font-weight: 500;
}
[v-cloak] {
    display: none;
}
.fadeout {
	animation: fadeOut 1s forwards;
  }
  @keyframes fadeOut {
	from {
		opacity: 1;
		visibility: visible;
	}
	to {
		opacity: 0;
		visibility: hidden;
	}
}
.fadein {
	animation: fadeIn 1s forwards;
  }
  @keyframes fadeIn {
	from {
		opacity: 0;
		visibility: hidden;
	}
	to {
		opacity: 1;
		visibility: visible;
	}
}
#app{
    background-color: var(--bg);
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
    position: relative;
}

.pagewidth{
    width: 100%;
    max-width: 900px;
    line-height: 1.4;
    margin: 0 auto;
    position: relative;
    box-sizing: border-box;
}
.banner{
    min-height: 1460px;
    background: url(../images/banner-bg.jpg) no-repeat top center;
    background-size: contain;
    padding: 200px 10% 0 10%;
    box-sizing: border-box;
    position: relative;
}
.banner .kv{
    width: 100%;
    background-color: var(--blue);
    position: absolute;
    bottom: 0;left: 0;
    padding: 24px 5% 110px;
    display: flex;
}
.banner .kv img{
    width: 100%;
    height: auto;
}

.bn-content{
    width: 80%;
    height: auto;
}

.title{
    width: 100%;
    height: auto;
}
.title img{
    width: 100%;
    height: auto;
}
.bn-text{
    margin-top: 40px;
}
.bn-text p{
    font-size: 28px;
    color: var(--blue1);
}
.bn-text h2{
    font-family: 'Alimama ShuHei Ti';
    font-size: 60px;
    color: var(--blue);
    line-height: 1.1;
}
.bn-text span{
    display: inline-block;
    font-size: 20px;
    color: var(--white);
    background-color: var(--blue);
    line-height: 1.2;
    padding: .5em 1em;
    border-radius: .3em;
    margin-top: 1em;
}
.unlock{
    transform: translateY(-100px);
    position: relative;
}
.un-bg{
    width: 100%;
    height: auto;
}
.un-bg img{
    width: 100%;
    height: auto;
}
.un-txt{
    width: 56%;
    position: absolute;
    top: 50%;left: 0;
    transform: translate(15%,-50%);
}
.un-txt p{
    font-size: 32px;
    color: transparent;
    background: linear-gradient(to bottom, var(--light-y), var(--deep-y));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: 700;
    line-height: 1.2;
}
/* task */
.task{
    transform: translateY(-120px);
}
.task-bg{
    background-color: rgba(5,4,12,1);
}
.tk-content{
    width: 100%;
    height: auto;
    background: rgb(164,126,90);
    background: linear-gradient(180deg, rgba(164,126,90,1) 0%, rgba(164,126,90,1) 40%, rgba(164,126,90,0) 70%, rgba(164,126,90,0) 100%);
    border-radius: 30px 30px 0 0;
}
.tk-bg{
    width: calc(100% - 2px);
    height: auto;
    margin-left: 1px;
    transform: translateY(1px);
    background: rgb(14,22,54);
    background: linear-gradient(180deg, rgba(14,22,54,1) 0%, rgba(14,22,54,1) 20%, rgba(14,22,54,1) 50%, rgba(5,4,12,1) 100%);
    border-radius: 30px 30px 0 0;
    padding: 80px 5% 0;
}
.tk-title{
    width: 80%;
    margin: 0 auto;
}
.tk-title img{
    display: block;
    width: 30%;
    height: auto;
    margin: 0 auto;
}
.tk-title p{
    font-size: 32px;
    color: transparent;
    background: linear-gradient(to bottom, var(--light-y), var(--deep-y));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: 700;
    line-height: 1.2;
    text-align: center;
    transform: translateY(-50%);
}
.tk-sum{
    background: rgb(14,22,54);
    background: linear-gradient(180deg, rgba(15,20,65,1) 0%, rgba(15,20,65,1) 50%, rgba(15,20,65,1) 80%, rgba(5,4,12,0) 100%);
}
.tk-tag{
    background: rgb(252,238,176);
    background: linear-gradient(90deg, rgba(252,238,176,1) 0%, rgba(255,218,75,1) 100%);
    position: relative;
    border-radius: 20px 20px 0 0;
}
.tk-tag p{
    color: #2d1b1c;
    font-size: 30px;
    font-weight: 600;
    text-align: center;
}
.tk-tag p span{
    color: #ec8749;
    font-size: 46px;
    font-weight: 900;
}
.tk-tag img{
    width: 120px;
    position: absolute;
    top: -40%;right: 0;
}
.tk-list{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 50px 3% 0;
}
.tk-item{
    background: url(../images/kapian-bg.png) no-repeat center;
    background-size: contain;
    width: 31%;
    height: 350px;
    padding: 5% 3%;
    position: relative;
}
.tk-item h5{
    font-size: 16px;
    height: 40px;
    color: #fae3a6;
    position: relative;
    padding: 0 5% ;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}
.tk-item h5::before{
    content: '';
    width: 20px;
    height: 40px;
    background: url(../images/leaf-l.png) no-repeat center;
    background-size: contain;
    position: absolute;
    top: 0;left: -5%;
}
.tk-item h5::after{
    content: '';
    width: 20px;
    height: 40px;
    background: url(../images/leaf-t.png) no-repeat center;
    background-size: contain;
    position: absolute;
    top: 0;right: -5%;
}

.support{
    color: var(--white);
    text-align: center;
    padding: 20px 0;
}
.support span{
    font-size: 21px;
}
.support p{
    font-size: 52px;
    font-weight: 700;
}
.vote{
    width: 76%;
    height: auto;
    background: rgb(245,156,80);
    background: linear-gradient(90deg, rgba(245,156,80,1) 0%, rgba(223,103,63,1) 100%);
    font-size: 16px;
    color: var(--white);
    text-align: center;
    border-radius: 20px;
    padding: .5em 1em;
    position: absolute;
    bottom: 12%;left: 50%;
    transform: translateX(-50%);
    user-select: none;
    animation: throttle 1s step-end forwards;
}
.vote:active{
    opacity: .8;
}
.vote span{
    display: block;
}

.tk-bottom{
    background: url(../images/task-top.png) no-repeat top;
    background-size: contain;
    width: 100%;
    height: 467px;
    margin-top: 100px;
}
.bm-title{
    width: calc(100% - 12px);
    margin:  0 auto;
    color: #f7ca7c;
    font-size: 24px;
    position: relative;
    padding: 1em 10%;
    text-align: center;
    background: #171e74;
    background: linear-gradient(180deg, #171e74 0%, #0e0c23 100%);
    transform: translateY(60px);
}
.bm-title::before{
    content: '';
    width: 15px;
    height: 15px;
    background: url(../images/start.png) no-repeat center;
    background-size: contain;
    position: absolute;
    top: 50%;
    left: 9%;
}
.bm-title::after{
    content: '';
    width: 15px;
    height: 15px;
    background: url(../images/start.png) no-repeat center;
    background-size: contain;
    position: absolute;
    top: 50%;
    right: 9%;
}

.bm-cont{
    padding: 0 10%;
    padding-top: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bm-left{
    width: 180px;
    min-width: 180px;
    height: auto;
}
.bm-left img{
    width: 100%;
    height: auto;
}
.bm-right{
    margin-left: 20px;
}
.bm-right p{
    color: var(--white);
    font-size: 24px;
    line-height: 1.4;
}
.bm-right p span{
    font-size: 48px;
    color: transparent;
    background: linear-gradient(to right, #fceeb0, #ee935d);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: 900;
}
/*  */
.tk-content1{
    width: 100%;
    height: auto;
    background: transparent;
    margin-top: 100px;
}
.tk-content1 .tk-sum{
    background: url(../images/task-bg.png) no-repeat center bottom;
    background-size: contain;
    position: relative;
    height: 420px;
    display: flex;
    padding-top: 40px;
}

.tk-content1 .tk-tag{
    width: 100%;
    position: absolute;
    top: 0;left: 0;
}

.tk-content1 .tk-bottom{
    background: transparent;
    margin-top: 0;
    height: auto;
}
.tk-content1 .bm-right{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
.tk-content1 .bm-right p{
    font-size: 30px;
}
.bm-right .btn{
    font-size: 28px;
    color: var(--white);
    background: rgb(245,156,80);
    background: linear-gradient(90deg, rgba(245,156,80,1) 0%, rgba(223,103,63,1) 100%);
    text-align: center;
    border-radius: 30px;
    padding: .2em 1em;
    margin-top: 1em;
    cursor: pointer;
    user-select: none;
}
.bm-right .btn:hover{
    opacity: .8;
}
.tk-content1 .tk-bottom .bm-cont{
    height: 100%;
    box-sizing: border-box;
    padding-top: 0;
}
/*  */
.tk-content2 .bm-right p {
    font-size: 22px;
}
.tk-content2 .bm-right p:nth-child(1){
    padding-bottom: .8em;
    border-bottom: 1px solid var(--white);
}
.tk-content2 .bm-right p:nth-child(2){
    padding-top: .8em;
}
/*  */
.wikicode{
    padding-bottom: 150px;
    transform: translateY(-30px);
}
.code-ct{
    background-color: rgba(5,4,12,1);
    display: flex;
    align-items: center;
    justify-content: center;
}
.code-bg{
    width: 380px;
    height: auto;
    position: relative;
}
.code-bg img{
    width: 100%;
    height: auto;
}
.code-txt{
    position: absolute;
    width: 240px;
    padding-top: 3%;
}
.code-txt p{
    color: var(--white);
    font-size: 32px;
    text-align: center;
}
.code-txt img{
    width: 100%;
    height: auto;
}
.fixed{
    width: 100%;
    max-width: 900px;
    background: #171e74;
    background: linear-gradient(180deg, #171e74 0%, #0e0c23 100%);
    position: fixed;
    bottom: 0;left: calc(50% - 450px);
    padding: 20px 0;
}
.fd-content{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
}
.fd-box{
    width: 40%;
    border: 1px solid var(--range);
    border-radius: 30px;
    cursor: pointer;
    transition: all .3s linear;
}
.fd-box span{
    display: block;
    color: var(--range);
    font-size: 36px;
    padding: .2em 1em;
    text-align: center;
    transition: all .3s linear;
}
.fd-box:hover{
    background: linear-gradient(90deg, rgba(245,156,80,1) 0%, rgba(223,103,63,1) 100%);
    border: 1px solid transparent;
    transition: all .3s linear;
}
.fd-box:hover span{
    color: var(--white);
    transition: all .3s linear;
}
@media(max-width: 900px){
    .pagewidth{
        width: 100%;
        max-width: 100%;
    }
    .bn-content {
        width: 90%;
    }
    .tk-list {
        padding: 50px 0% 0;
    }
    .tk-item {
        width: 32%;
        padding: 5% 2%;
        height: 300px;
    }
    .tk-item h5 {
        padding: 0 8%;
    }
    .tk-item h5::before {
        left: 3%;
    }
    .tk-item h5::after {
        right: 3%;
    }
    .support p {
        font-size: 42px;
    }
    .bm-title {
        font-size: 22px;
    }
    .bm-title::before {
        left: 5%;
    }
    .bm-title::after {
        right: 5%;
    }
    .bm-left {
        width: 140px;
        min-width: 140px;
        height: auto;
    }
    .bm-right p {
        font-size: 22px;
    }
    .bm-right p span {
        font-size: 40px;
    }
    .tk-tag p {
        font-size: 28px;
    }
    .tk-tag p span {
        font-size: 36px;
    }
    .tk-tag img {
        width: 90px;
    }
    .fixed{
        max-width: 100%;
        bottom: 0;left: 0;
    }
    .fd-box {
        width: 45%;
    }
    .fd-box span {
        font-size: 28px;
    }
    .unlock{
        transform: translateY(-240px);
    }
    .banner .kv{
        padding: 20px 5% 240px;
    }
}

@media(max-width: 750px){
    .banner {
        min-height: 700px;
        padding: 20% 10% 0 10%;
        background-size: cover;
    }
    .bn-content {
        width: 100%;
    }
    .bn-text {
        margin-top: 1em;
    }
    .bn-text p {
        font-size: .42rem;
    }
    .bn-text h2 {
        font-size: .7rem;
    }
    .bn-text span {
        font-size: .36rem;
        padding: .3em 1em;
    }
    .unlock {
        transform: translateY(-.8rem);
    }
    .task {
        transform: translateY(-2.2rem);
    }
    .un-txt {
        width: 65%;
        position: absolute;
        top: 50%;
        left: 0;
        transform: translate(10%, -50%);
    }
    .un-txt p {
        font-size: .42rem;
    }
    .tk-content {
        margin-top: 1rem;
        border-radius: .3rem .3rem 0 0;
    }
    .tk-content2 {
        margin-top: 1.5rem;
    }
    .tk-bg {
        border-radius: .3rem .3rem 0 0;
        padding: .5rem 5% 0;
    }
    .tk-title {
        width: 100%;
    }
    .tk-title img {
        width: 24%;
    }
    .tk-title p {
        font-size: .42rem;
    }
    .tk-tag{
        padding: .3em 0;
        border-radius: .3rem .3rem 0 0;
    }
    .tk-tag p {
        font-size: .4rem;
    }
    .tk-tag p span {
        font-size: .4rem;
    }
    .tk-tag img {
        width: 1rem;
        top: -10%;
    }
    .tk-list {
        padding: .3rem 0% 0;
    }
    .tk-item h5 {
        padding: 0 1-%;
        font-size: .28rem;
    }
    .tk-item h5::before {
        width: .2rem;
        height: .4rem;
        left: 2%;
        top: 50%;
        transform: translateY(-50%);
    }
    .tk-item h5::after {
        width: .2rem;
        height: .4rem;
        right: 2%;
        top: 50%;
        transform: translateY(-50%);
    }
    .support span {
        font-size: .32rem;
    }
    .support p {
        font-size: .42rem;
    }
    .vote {
        width: 80%;
        font-size: .22rem;
        padding: .5em;
        bottom: 15%;
    }
    .tk-item {
        width: 32.5%;
        padding: 6% 0%;
        height: 4.8rem;
    }
    .support {
        padding: .1rem 0;
        display: flex;
        flex-direction: column;
    }
    .tk-bottom {
        height: 5.5rem;
        margin-top: .5rem;
    }
    .bm-title::after {
        content: '';
        width: .2rem;
        height: .2rem;
        top: 50%;
        right: 1%;
        transform: translateY(-50%);
    }
    .bm-title::before {
        content: '';
        width: .2rem;
        height: .2rem;
        top: 50%;
        left: 1%;
        transform: translateY(-50%);
    }
    .bm-title {
        width: calc(100% - 6px);
        font-size: .36rem;
        padding: .5em 5%;
        transform: translateY(.6rem);
    }
    .bm-right p {
        font-size: .32rem;
    }
    
    .bm-left {
        width: 2rem;
        min-width: 2rem;
    }
    .bm-right p span {
        font-size: .5rem;
    }
    .bm-cont {
        padding: .8rem 5% 0;
    }
    .tk-content1 .bm-right p {
        font-size: .36rem;
    }
    .tk-content1 .tk-sum {
        height: 5rem;
        padding-top: 1rem;
    }
    .bm-right .btn {
        font-size: .4rem;
        margin-top: .3rem;
    }
    .tk-content2 .bm-right p {
        font-size: .28rem;
    }
    .code-bg {
        width: 5rem;
    }
    .code-txt {
        position: absolute;
        width: 3.5rem;
        padding-top: 0rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .code-txt p {
        font-size: .4rem;
    }
    .wikicode {
        padding-bottom: 2rem;
        transform: translateY(-.5rem);
    }
    .fixed {
        padding: .3rem 0;
    }
    .fd-box span {
        font-size: .42rem;
        padding: .3em 0;
    }
    .banner .kv{
        height: auto;
        padding: .5rem 5% 1rem;
    }
}
/* activies */
.activies{
    width: 100%;
    height: 100%;
    max-width: 900px;
    position: fixed;
    top: 0;left: calc(50% - 450px);
    background-color: #202641;
    z-index: 99;
    display: none;
}
.act-cont{
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
    padding: 8% 4% 5% 5%;
    color: var(--white);
    box-sizing: border-box;
}
.act-txt{
    padding: 0 1% 0 0;
    height: 100%;
    overflow: auto;
}

.close {
    width: 40px;
    height: 40px;
    background: url(../images/close.png) no-repeat center;
    background-size: contain;
    position: absolute;
    top: 15px;right: 15px;
    cursor: pointer;
}
.act-title{
    background: url(../images/gold.png) no-repeat right center;
    background-size: contain;
    font-size: 46px;
    color: var(--white);
    padding-right: 30%;
    line-height: 1.2;
    padding-bottom: 20px;
}
.act-title p{
    font-weight: 700;
}
.act-title span{
    font-size: 36px;
    font-weight: 300;
}
.k1{
    padding: 5%;
    font-size: 18px;
    border: 1px solid var(--white);
    border-radius: 1em;
    font-weight: 300;
}
.k2{
    margin: 20px 0;
    display: flex;
    align-items: center;
}
.k2 img{
    width: 25px;
    min-width: 25px;
    height: auto;
}
.k2 p{
    font-size: 24px;
    padding-left: 16px;
}
.k3 span{
    display: inline-block;
    color: var(--202641);
    background-color: var(--white);
    padding: .3em 1em;
    font-size: 27px;
    margin-bottom: 1em;
    border-radius: .3em;
    font-weight: 700;
}
.k3 p{
    font-size: 18px;
    font-weight: 300;
}
.k3 .k-tag{
    font-size: 24px;
    font-weight: 600;
    margin: 1em 0;
}
.k-box{
    background-color: var(--white);
    padding: 5%;
    border-radius: 1em;
}
.k-box p{
    color: var(--202641);
    margin-bottom: 1em;
}
.k3-1{
    margin-top: 2em;
}
.k3-tag{
    padding: 1em 0;
}
.k-tag-p{
    margin-bottom: 1em;
}

@media(max-width: 900px){
    .activies {
        top: 0;
        left: 0;
    }
    .act-cont {
        padding: 15% 4% 5% 5%;
    }
    .act-title {
        background-size: 30%,30%;
        font-size: 20px;
        padding-bottom: 1em;
    }
    .act-title span {
        font-size: 20px;
    }
    .close {
        width: 35px;
        height: 35px;
        top: 10px;
        right: 10px;
    }
    .k1 {
        padding: 5%;
        font-size: 14px;
    }
    .k2 p {
        font-size: 16px;
        padding-left: 10px;
    }
    .k2 img {
        width: 16px;
        min-width: 16px;
        height: auto;
    }
    .k3 span {
        font-size: 18px;
    }
    .k3 p {
        font-size: 14px;
    }
    .k3 .k-tag {
        font-size: 18px;
    }
    .k-box {
        border-radius: .3em;
    }
    .k3-1 {
        margin-top: 1em;
    }
    .k3-tag {
        padding: .5em 0;
    }
}
/* share */
.shares{
    width: 100%;
    height: 100%;
    max-width: 900px;
    position: fixed;
    top: 0;left: calc(50% - 450px);
    background-color: rgba(0,0,0,.6);
    z-index: 99;
    display: none;
}
.she-cont{
    width: 100%;
    height: auto;
    max-height: 80%;
    max-width: 800px;
    position: absolute;
    top: 50%;
    left: calc(50% - 400px);
    transform: translateY(-50%);
    padding: 5%;
    color: var(--white);
    box-sizing: border-box;
    background-color: #202641;
    border-radius: 20px;
    overflow: auto;
}
.she-txt{
    padding: 0 1% 0 0;
    height: 100%;
    overflow: auto;
}
.she-title{
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 2em;
    width: 80%;
    margin: 0 auto;
}
.she-title img{
    width: 40px;
    height: auto;
    transform: scaleX(-1);
}
.she-title h4{
    font-size: 32px;
    padding-left: .5em;
    text-align: center;
}
.she-text{
    padding-bottom: 1.5em;
    font-size: 16px;
    display: flex;
    font-weight: 300;
    line-height: 1.6;
}
.she-text1 span{
    display: block;
    color: #ffd733;
}
.she-text1{
    padding-bottom: 2em;
    border-bottom: 1px solid var(--white);
}
.she-icons{
    padding: 30px 20px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.she-icons li{
    width: 50px;
    height: 50px;
    min-width: 50px;
    margin-right: 20px;
    cursor: pointer;
}
.she-icons li:last-child{
    margin-right: 0;
}
@media(max-width: 900px){
    .shares{
        right: 0;left: 0;
    }
    .she-cont{
        width: 90%;
        left: 5%;
        max-height: 90%;
        border-radius: 12px;
    }
    .she-title h4 {
        font-size: 22px;
    }
    .she-title img {
        width: 20px;
    }
    .she-title {
        padding-bottom: 20px;
    }
    .she-text {
        padding-bottom: 1.2em;
        font-size: 14px;
    }
    .she-text1 {
        padding-bottom: 2em;
    }
    .she-icons li {
        width: 40px;
        height: 40px;
        min-width: 40px;
        margin-right: 12px;
        cursor: pointer;
    }
    .she-icons {
        padding: 20px 10px 16px;
    }

}
/*  */
.forms{
    width: 100%;
    height: 100%;
    max-width: 900px;
    position: fixed;
    top: 0;left: calc(50% - 450px);
    background-color: rgba(0,0,0,.6);
    z-index: 99;
    display: none;
}
.fm-cont{
    width: 100%;
    height: auto;
    max-height: 80%;
    max-width: 700px;
    position: absolute;
    top: 50%;
    left: calc(50% - 350px);
    transform: translateY(-50%);
    padding: 5%;
    color: var(--white);
    box-sizing: border-box;
    background-color: #202641;
    border-radius: 20px;
    overflow: auto;
}
.fm-title{
    font-size: 24px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-bottom: 1em;
}
.fm-title img{
    width: 35%;
    height: auto;
}
.fm-inps{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.fm-tag{
    width: 80%;
    height: 2.4em;
    font-size: 20px;
    border-radius: .5em;
    margin-bottom: 1em;
}
.fm-tag input{
    width: 100%;
    height: 100%;
    font-size: 18px;
    border-radius: .5em;
    padding-left: 1.5em;
    border: 2px solid transparent;
}
.fm-inps button{
    font-size: 22px;
    font-weight: 700;
    padding: .5em 1.5em;
    border-radius: 2em;
    cursor: pointer;
    background-color: var(--range);
    color: var(--white);
    animation: throttle 1s step-end forwards;
}
.fm-inps button:hover{
    opacity: .8;
}
@keyframes throttle {
	from {
		cursor: default;
		pointer-events: none;
		filter: grayscale(100%);
	}
	to{
		cursor: pointer;
		pointer-events: all;
	}
}
@media(max-width: 900px){
    .forms{
        right: 0;left: 0;
    }
    .fm-cont{
        width: 90%;
        left: 5%;
        max-height: 90%;
        border-radius: 12px;
        padding: 5% 5% 10%;
    }
    .fm-title {
        font-size: 18px;
    }
    .fm-tag {
        width: 100%;
        height: 3em;
        font-size: 16px;
        border-radius: .3em;
    }
    .fm-tag input {
        font-size: 16px;
        border-radius: .3em;
        padding-left: 1em;
    }
    .fm-inps button {
        font-size: 18px;
    }
}
/*  */
.tipleft{
    width: 100%;
    height: 100%;
    max-width: 900px;
    position: fixed;
    top: 0;left: calc(50% - 450px);
    background-color: transparent;
    z-index: 99;
    display: none;
}
.tp-cont{
    width: 100%;
    height: auto;
    max-height: 80%;
    max-width: 700px;
    position: absolute;
    top: 50%;
    left: calc(50% - 350px);
    transform: translateY(-50%);
    padding: 5%;
    color: var(--white);
    box-sizing: border-box;
    background-color: #202641;
    border-radius: 20px;
    overflow: auto;
}
.tp-title{
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
    font-weight: 400;
    font-size: 18px;
    text-align: center;
}
.tp-title svg{
    width: 20%;
    height: 20%;
}
.tp-title h4{
    font-size: 24px;
    padding-bottom: .5em;
    padding-top: .2em;
    font-weight: bold;
}
@media(max-width: 900px){
    .tipleft{
        right: 0;left: 0;
    }
    .tp-cont{
        width: 90%;
        left: 5%;
        max-height: 90%;
        border-radius: 12px;
        padding: 5% 5% 10%;
    }
    .tp-title h4{
        font-size: 18px;
    }
    .tp-title {
        font-size: 16px;
    }
    
}
/*  */
.tipright{
    width: 100%;
    height: 100%;
    max-width: 900px;
    position: fixed;
    top: 0;left: calc(50% - 450px);
    background-color: transparent;
    z-index: 999;
    display: none;
}
.tipright .tp-cont{
    width: auto;
    height: auto;
    max-width: 300px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    padding: 5%;
    color: var(--white);
    box-sizing: border-box;
    background-color: #202641;
    border-radius: 20px;
    overflow: auto;
}
.tipright .tp-title{
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
    font-weight: 400;
    font-size: 18px;
    text-align: center;
}
.tipright .tp-title svg{
    width: 30%;
    height: 30%;
}
@media(max-width: 900px){
    .tipright{
        right: 0;left: 0;
    }
    
}